* System       : Customer Access System - Personal Computer
* File         : zSETUP.prg (Black Box)
* Procedure    : none
* Called from  : MAINMENU.prg
* Description  : Setup system default parameters - all but those noted below.
* Databases    : none
* Calls        : none
* UDF Calls    : none
* Written      : 03/17/89 DKA - copyright WFS, Inc.  All rights reserved.
* Updated      : 
* Tested       :
* Parameters   : none
* Requirements : none
*

******************************** NOTES ********************************
* EXCEPTIONS   :
*    PROGRAMMER ATTENTION, YOU MUST SET THESE -
*    set default to DRIVE - should be done by main program in system.
*    set status off       - should be done by main program in system.
*    set scoreboard off   - should be done by main program in system.
*    set echo off         - should be done by main program in system.
*    set talk off         - should be done by main program in system.
*    set procedure to     - should be done by main program in system AFTER calling this program (procedures are closed below).
*
*    PROGRAMMER ATTENTION, THESE ARE NOT SET FOR THE FOLLOWING REASONS -
*    set filter to        - don't bother, no databases should be open.
*    set date to          - set by compiler public variables.
*    set order to         - should be done by programmer directly.
*    set path to          - un-predictable results can occur with the use of this command, therefore we don't use it.
*    set relation to      - don't bother, no databases should be open.
*    set margin to        - up to programmer to stay on top of this one.
*    set memowidth to     - leave it at system default.  Never used anyways.
*    set typeahead to     - don't bother, never changed by anyone.


* NOTE - Most of these are redundant, for they are as default is, but you
*        never know!!!
* 
*  If you need to change one of these in the source code, by all means, go 
* ahead BUT don't forget to reset it to default when your done!!!!!!!!  
* (especially with set console off!)
******************************** NOTES ********************************

set alternate to                                && Closes any open alternate ouput file.
set bell off                                    && Don't beep at the end of a field, or in valid .f. conditions.
set carry off                                   && Don't copy previous records data during append or insert.
set century on                                  && 4 digit year format.
set clear on                                    && Clear the screen when QUIT or SET FORMAT TO is executed.
set color on                                    && Colors are cool.
set confirm off                                 && User does not need to hit return at the end of a field.
set console on                                  && All output to screen appears on screen (off inhibits output to screen).
set debug off                                   && Any output from SET ECHO ON goes to screen (on goes to printer).
set decimals to 10                              && Use ten decimal places in math functions.
set deleted off                                 && Allow access to any records marked DELETED.
set delimiters off                              && Don't bracket fields during full screen mode.
set device to screen                            && @ say output goes to screen.
set dohistory off                               && Stores program file command lines to HISTORY, where using UP/DOWN arrow retrieves them.
set escape off                                  && Shut off the Escape key, which causes Cancel, Ignore, Suspend.
set exact off                                   && Compare strings only till exhaustion, not completely.
set exclusive on                                && STAND ALONE SYSTEM - LOCAL DRIVE.
set fields off                                  && Use all fields.
set fixed off                                   && Use decimal places as needed in numeric output.
set format to                                   && Close any open format files.
set heading on                                  && Yes, display column titles during LIST, DISPLAY, SUM and AVERAGE
set history on                                  && Yes, store commands entered interactively into history.
set intensity on                                && Yes, use the enhanced screen attribute for input fields.
set menu on                                     && Yes, display a navigation bar during full screen entry operation.
set print off                                   && Disable output to printer.  If on, output to screen goes to printer to, except for @ say output.
set printer to                                  && All printer output to MS-DOS device PRN.
set procedure to                                && Close any open procedure files.
set safety on                                   && Yes, warn us if a data file is going to be overwritten by a command.
set step off                                    && No, don't interact with user after each line of code.  Execute normally.
set unique off                                  && Yes, allow duplicate keys to occur in the index file.
                                                
* Setup the function keys.
set function 2  to "cancel;set procedure to;clear program;close all;clear all;"
set function 3  to "set color to +W/b;clear;"
set function 4  to ""
set function 5  to ""
set function 6  to "set procedure to;clear program;"
set function 7  to ""
set function 8  to ""
set function 9  to ""
set function 10 to "modi comm "
return
